﻿<?xml version="1.0"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxsl="urn:schemas-microsoft-com:xslt">

<!-- 
<purpose>convert MDService2 cache-index to a html-table</purpose>
<params>
<param name=""></param>
</params>
<history>
	<change on="2010-11-12" type="created" by="vr">based on xml2htmltable</change>	
	
</history>
-->

<xsl:include href="cmd_commons.xsl"/>

<xsl:param name="title" >MDService2 - cache</xsl:param>

	
<!--<xsl:output method="xml" encoding="UTF-8"/>-->

<xsl:template name="continue-root">
	
	<xsl:variable name="count_fields" select="count($cache_cols)" />
	
	<table class="show">
		<thead>
			<tr>
			<xsl:for-each select="$cache_cols">
				<th><xsl:value-of select="." /></th>
			</xsl:for-each>			
			</tr>
		</thead>
		<xsl:for-each-group select="//f" group-by="@type" >
			<tr><td colspan="{$count_fields}"  ><h3 id="{@type}" ><a href="#{@type}" ><xsl:value-of select="@type" /></a></h3></td></tr>
			<xsl:for-each select="current-group()" >				
				<tr>
				<xsl:variable name="curr" select="." />
					<xsl:for-each select="$cache_cols" >						
						<xsl:variable name="value" select="$curr/@*[name()=current()]" />
						<xsl:variable name="number" select="if (number($value)=number($value)) then 'number' else ''"></xsl:variable>
							<td class="{$number}"><xsl:value-of select="$value" /></td>
					</xsl:for-each>
				</tr>
			</xsl:for-each>
		</xsl:for-each-group>
  </table>
    		
</xsl:template>

</xsl:stylesheet>
