<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>CLARIN Metadata Repository/Service/Browser</title>
<link rel="stylesheet" href="style/jquery/clarindotblue/jquery-ui-1.8.5.custom.css" type="text/css" />
<link href="style/jquery/jquery-treeview/jquery.treeview.css" rel="stylesheet" />
<link href="style/cmds-ui.css" type="text/css" rel="stylesheet" /> 
<link href="style/jquery/jquery-textboxlist/TextboxList.css" rel="stylesheet" type="text/css" />
<link href="style/jquery/jquery-autocomplete/jquery.autocomplete.css" rel="stylesheet" type="text/css" />
<link href="style/jquery/treetable/jquery.treeTable.css" rel="stylesheet" type="text/css" />

<script src="scripts/jquery/js/jquery-1.4.2.js" type="text/javascript"></script>
<script src="scripts/jquery/js/jquery-ui-1.8.5.custom.min.js" type="text/javascript"></script>
<script src="scripts/jquery/jquery-textboxlist/GrowingInput.js" type="text/javascript"></script>
<script src="scripts/jquery/jquery-treeview/jquery.treeview.js" type="text/javascript"></script>
<script src="scripts/jquery/jquery-treeTable/jquery.treeTable.js" type="text/javascript"></script>
<script src="scripts/jquery/jsTree.v.1.0rc2/jquery.jstree.js" type="text/javascript"></script>
<script src="scripts/jquery/jquery-autocomplete/jquery.autocomplete.js" type="text/javascript"></script>
<script src="scripts/mdservice_helpers.js" type="text/javascript"></script>
<script src="scripts/mdservice_searchclause.js" type="text/javascript"></script>
<script src="scripts/mdservice_widgets.js" type="text/javascript"></script>
<script src="scripts/mdservice_model.js" type="text/javascript"></script>
<script src="scripts/mdservice2_ui.js" type="text/javascript"></script>
</head>
<body>
<div id="header" >
	<div id="logo"><a href="http://www.clarin.eu" ><img src="style/imgs/clarin-logo.png" alt="CLARIN"></img></a> <div id="site-name" >Metadata Browser</div>
	</div>
	
	<div id="top-menu">
			<div id="user">
					<% if ( request.getRemoteUser() == null) {  %> 
					<a href="workspace.jsp" >    login</a>
					<% } else {  %> 
					User: <b><%= request.getRemoteUser() %></b><a href="logout.jsp" >    logout</a> 
					<% }%>
						
						<!-- class="open-in-context"  -->									
					<a target="_blank" href="docs/htmlpage/info" > docs</a>
			</div>
			<div id="notify" class="cmds-elem-plus note" >
				<div id="notifylist" class="note"> <!--  class="cmds-elem-plus note" > -->
				</div>
			</div>
			
		
	<!-- <a href="static/profiles_stats.html" >Info from CompReg and DCR about Elements vs. DatCats</a>  --> 
	</div>
</div>
<div id="left-menu" >
	<div id="public-space" class="cmds-ui-block">
		<div class="header">Public Space</div>

		<div id="serverqs" class="content" data="">
<!--		 
			<div id="repositories" >		
			<label>Repositories</label><select id="repositories_select" ></select>
			</div>
	
			<div id="serverquerysets" >		
			<label>Querysets</label><select id="serverqts_select" ></select>
			</div>
			<div id="serverqueries" ></div>
			-->
		</div>
			
	</div>

	  
	<div class="cmds-ui-block init-show">
	<div class="header" >Personal Workspace</div>	
		<div id="userqs" class="content">
			<div id="userquerysets" >		
				<label>Querysets</label><select id="qts_select" ></select>
				<!--  <button id="qts_add" class="cmd cmd_add" >Add</button> -->
				<span id="qts_add" class="cmd cmd_add" ></span> 
				<span id="qts_delete" class="cmd cmd_del" ></span>
			</div>
			
			<label>name</label>
			<input type="text" id="qts_input" ></input>
			<span id="qts_save" class="cmd cmd_save" ></span>
			<div id="userqueries" ></div>
			
			<div id="usertermsets" >		
				<label>Termsets</label><select id="ts_select" ></select>
				<span id="ts_add" class="cmd cmd_add" ></span> 
				<span id="ts_delete" class="cmd cmd_del" ></span>
			</div>		
			<label>name</label>
			<input type="text" id="ts_input" ></input>
			<span id="ts_save" class="cmd cmd_save" ></span>
			<div id="userterms" ></div>
		</div>
		
	</div>
	
	<div class="cmds-ui-block">
		<div class="header">Collections</div>
		<div id="collections" class="content">
		</div>
	</div>
	<div class="cmds-ui-block">
		<div class="header">Terms</div>	
		<div id="terms" class="content">
			<div id="model_profiles"> 		
			</div>
			<div id="model_terms"> 		
			</div>
		</div>
		<div id="terms_autocomplete"></div>
	</div>
	
	<div class="cmds-ui-block">
		<div class="header">Profiles/Components</div>	
		<div id="compreg" class="content">
			<div id="profiles" >		
			</div>
			<div id="components" >
			</div>
		</div>		
	</div>
</div>

<div id="main" class="ui-widget">	
	<div id="search">	
<!-- 	<label id="toggle_inputmode_cmd" >TEXT</label> --> 
		<div  class="cmds-ui-block init-show" >
	 	<!-- <div class="ui-widget-header ui-state-default ui-corner-top" >Query</div>
	 	<div class="ui-widget-content ui-corner-bottom">  -->
	 	<div class="header" >Query</div>
	 	<div id="query-input" class="content">   	
			 <s:form action="searchretrieve">
				<!-- <label id="toggle_inputmode_cmd"  value="TEXT" />-->							
				<input type="text" id="input-simplequery" name="_query"  />
				<input type="submit"  value="submit" id="submit-query"/>				
				<input type="text" id="query_list" name="_query_" />	
				<table class="cmds-ui-elem-stretch"><tr>
			        <td valign="top">       
			        	<label>collections</label><br/>
			        	<div id="collections-widget" class="c-widget">
			        	<!--<textarea id="collection_list" class="cmds-ui-elem-stretch"></textarea> 
			        	 -->
			        </td>
			        <td valign="top">
			        	<label>columns</label><br/>
			        	<div id="columns-widget" class="c-widget">
			        	<!--  <input type='text' class='input-widget autocomplete-input' />
			        	<div class='index-context'><table></table></div>
			        	<div id='columns-list' class='list-widget'></div>
			        	-->
			        	</div>
			        	<!-- <textarea id="columns_list" class="cmds-ui-elem-stretch"></textarea>
			        	 -->	
			        </td>		
			        <td valign="top">
			        	<div id="repositories" >		
						<label>Repository</label> <select id="repositories_select" ></select>
						</div>
			        <input type="checkbox" checked="false" id="input-withsummary" name="WS"/><label>with Summary</label>
			        &nbsp;&nbsp;&nbsp;<a target="_blank" href="docs/htmlpage/queries" > example queries</a>
					</td>      
				</tr></table>		
			</s:form>
		  </div>
		</div>  
	</div>	
	<div id="querylist" class="block">
	</div>
	
	<div id="detail-float">	 
	</div>
	<div id="notify-float">	 
	</div>
	<div id="detail">		
	</div>	
	
</div>
<div id="bubble">
</div>

</body>
</html>