<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:my="myFunctions"
 exclude-result-prefixes="my">

<!-- 
<purpose>pieces of html wrapped in tempaltes, to be reused by other stylesheets</purpose>
<history>
	<change on="2011-09-01" type="created" by="vr">copied from  cmd_commons.xsl</change>
</history>

-->

<xsl:template name="html-head">
	
	<title><xsl:value-of select="$title"/></title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	
	<link href="{$base_dir}/style/jquery/clarindotblue/jquery-ui-1.8.5.custom.css" type="text/css" rel="stylesheet" />
<!-- 	<link href="{$base_dir}/style/jquery/jquery-treeview/jquery.treeview.css" rel="stylesheet" />
	<link href="{$base_dir}/style/jquery/treetable/jquery.treeTable.css" rel="stylesheet" ></link>
	 -->
	<link href="{$base_dir}/style/cmds-ui.css" type="text/css" rel="stylesheet"></link>
<!--	
	<link href="{$base_dir}style/jquery/jquery-textboxlist/TextboxList.css" rel="stylesheet" type="text/css"></link>
	<link href="{$base_dir}style/jquery/jquery-autocomplete/jquery.autocomplete.css" rel="stylesheet" type="text/css"></link>
-->
	<script src="{$base_dir}/scripts/jquery/js/jquery-1.4.2.js" type="text/javascript"></script>
	<script src="{$base_dir}/scripts/jquery/js/jquery-ui-1.8.5.custom.min.js" type="text/javascript"></script>
<!-- <script src="{$base_dir}/scripts/jquery/jquery-treeview/jquery.treeview.js" type="text/javascript"></script>
	<script src="{$base_dir}/scripts/jquery/jquery-treeTable/jquery.treeTable.js" type="text/javascript"></script>
	<script src="{$base_dir}/scripts/mdservice_helpers.js" type="text/javascript"></script>
	-->
	<!-- <script src="scripts/jquery/jquery-autocomplete/jquery.autocomplete.js" type="text/javascript"></script>
	
	<script src="scripts/mdservice_searchclause.js" type="text/javascript"></script>
	<script src="scripts/mdservice_model.js" type="text/javascript"></script>
	<script src="scripts/mdservice2_ui.js" type="text/javascript"></script>
	  -->

</xsl:template>


<xsl:template name="page-header">
	<div class="cmds-ui-block" id="titlelogin">
	<div id="logo"><a href="http://www.clarin.eu" ><img src="{$base_dir}/style/imgs/clarin-logo.png" alt="CLARIN"></img></a> <div id="site-name" >Metadata Browser</div>
	</div>
		<div id="top-menu">
				<div id="user">
						<xsl:choose>
							<xsl:when test="$user = ''" > 
								<a href="workspace.jsp" >    login</a>
							</xsl:when>
							<xsl:otherwise>
							User: <b><xsl:value-of select="$user" /></b><a href="logout.jsp" >    logout</a>
							</xsl:otherwise>
						</xsl:choose>													
						<a target="_blank" href="static/info" > docs</a>
				</div>
				<div id="notify" class="cmds-elem-plus note" >
					<div id="notifylist" class="note">
					</div>
				</div> 
		</div>
	</div>
</xsl:template>


<xsl:template name="query-input" >
	
	<!-- QUERYSEARCH - BLOCK -->	 
	<div class="cmds-ui-block init-show"  id="querysearch" >
	 	<div class="header ui-widget-header ui-state-default ui-corner-top" ><span>Search</span></div>
	 	<div class="content" id="query-input" >   	
		 	<form action="{my:formURL('recordset', 'htmlsimple','')}" method="get">							
				<input type="text" id="input-simplequery" name="squery"/>
				<input type="submit"  value="submit" id="submit-query"/>
				
				<div> 
					<table class="cmds-ui-elem-stretch ui-advanced">
					<tr>
					<td valign="top">
						<div id="repositories" >		
								<label>Repository</label> <select id="repositories_select" ></select>								
						</div>
							<!--  selected collections  -->
							<!-- <label>Collections</label><br/>-->
				        	<div id="collections-widget" class="c-widget"></div>
					    	
					</td>
					<td valign="top">
						<label>Complex query</label><span name='detail_index' class='cmd cmd_detail'></span><br/>
						<div id="searchclauselist"></div>							
						<!--<input type="checkbox" checked="false" id="input-withsummary" name="WS"/><label>with Summary</label> 
						 -->
					</td>
					</tr>					        
				</table>	
			</div>
		</form>
		</div>
	</div>  	

</xsl:template>

</xsl:stylesheet>